Bug 3988 - I cannot get Tutorial #2 of Developer 3.0 (ColorPreview) to work.
I cannot get Tutorial #2 of Developer 3.0 (ColorPreview) to work.
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P1 (vote)
: TBD
Assigned To: Jon Koplin
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1999-09-23 19:21 UTC by Jon Koplin
Modified: 2010-02-08 21:39 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jon Koplin 1999-09-23 19:21:20 UTC
Clicking on the Customize Bean property throws this exception:

java.lang.NullPointerException
	at java.beans.Introspector.addProperty(Introspector.java, Compiled Code)
	at java.beans.Introspector.getTargetPropertyInfo(Introspector.java, Compiled Code)
	at java.beans.Introspector.getBeanInfo(Introspector.java, Compiled Code)
	at java.beans.Introspector.getBeanInfo(Introspector.java, Compiled Code)
	at org.openide.util.Utilities.getBeanInfo(Utilities.java, Compiled Code)
	at org.openide.nodes.BeanNode.initialization(BeanNode.java, Compiled Code)
	at org.openide.nodes.BeanNode.<init>(BeanNode.java, Compiled Code)
	at org.openide.nodes.BeanNode.<init>(BeanNode.java, Compiled Code)
	at org.openide.actions.CustomizeBeanAction.customize(CustomizeBeanAction.java:164)

	at org.openide.actions.CustomizeBeanAction$1.run(CustomizeBeanAction.java:55)
	at org.openide.util.Task.run(Task.java, Compiled Code)
	at org.openide.util.RequestProcessor$ProcessorThread.run(RequestProcessor.java, Compiled Code)
Comment 1 Marian Mirilovic 2002-03-25 17:43:21 UTC
verified, I never saw it now.
Comment 2 Quality Engineering 2003-07-02 15:14:50 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
Comment 3 Quality Engineering 2010-02-08 21:39:34 UTC
Integrated into 'main-golden', will be available in build *201002090200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/185fe09a8513
User: Jesse Glick <jglick@netbeans.org>
Log: Unit tests must run headless.
(NB-Core-Build #3988 failed in IntegrationTest.)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo